<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" enableeventvalidation="false" autoeventwireup="true" inherits="Masters_TA_UI_Master_CityModify, App_Web_ui10mym2" %>

<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/city.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_HeaderCity" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">

        <script type="text/javascript" language="javascript" src="../js/Lookupddl.js"></script>

        <script type="text/javascript" language="javascript">
            var MaxLength = "Maximum length is ";
            var Errorretrievingdatafromlookup = "Error retrieving data from lookup";
            function MaxLengthh(maxLength) {
                MaxLength = maxLength;
            }
            function assignState() {
                var indexstate = document.aspnetForm.ctl00_BodyContentPH_ddl_State.selectedIndex;
                var state = document.aspnetForm.ctl00_BodyContentPH_ddl_State.options[indexstate].value;
                document.getElementById("ctl00_BodyContentPH_hdf_state").value = state;
            }
            function Alert_LookUp(errorretrievingdatafromlookup) {
                Errorretrievingdatafromlookup = errorretrievingdatafromlookup;
            }
        </script>

        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-12">
                    <div class="pull-right">
                        <h6>
                            <span style="color: Red">|</span><span style="padding-left: 10px; padding-right: 10px"><asp:Label
                                ID="lbl_IndicatesMandatoryFields" runat="server"></asp:Label>
                                (3 No.)</span>
                        </h6>
                    </div>
                </div>
                <div class="clearfix">
                </div>
            </div>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row">
                    <div class="col-md-12">
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lbl_CountryName" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddl_Country" runat="server" AppendDataBoundItems="True" CssClass="form-control select2 Man-dat"
                                    onchange="return GetLookupData('1',Errorretrievingdatafromlookup)">
                                    <asp:ListItem Text="-Select-" Value="-Select-"></asp:ListItem>
                                </asp:DropDownList>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="Select Country"
                                    ControlToValidate="ddl_Country" InitialValue="-Select-" SetFocusOnError="True"
                                    ValidationGroup="VgCity" Display="None"></asp:RequiredFieldValidator>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lbl_StateName" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddl_State" runat="server" AppendDataBoundItems="True" CssClass="form-control select2 Man-dat"
                                    onchange="return assignState();">
                                    <asp:ListItem Text="-Select-" Value="-Select-"></asp:ListItem>
                                </asp:DropDownList>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="Select State Name"
                                    ControlToValidate="ddl_State" InitialValue="-Select-" SetFocusOnError="True"
                                    Display="none" ValidationGroup="VgCity"></asp:RequiredFieldValidator>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lbl_CityName" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txt_CityName" runat="server" CssClass="form-control man-dat"
                                    MaxLength="50" onkeyup="return chkMaxLen(event,this,50,MaxLength);"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="Enter City Name"
                                    ControlToValidate="txt_CityName" SetFocusOnError="True" Display="none" ValidationGroup="VgCity"></asp:RequiredFieldValidator>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-5">
                                <div class="pull-right-button">
                                    <asp:LinkButton ID="btn_add" CssClass="btn save-btn fa-floppy-o" runat="server" OnClick="btn_add_Click" />
                                    <asp:LinkButton ID="btn_Cancel" CssClass="btn save-btn fa-angle-left" runat="server"
                                        CausesValidation="false" OnClick="btn_Cancel_Click" />
                                    <asp:ValidationSummary ID="ValidationSummary1" runat="server" ShowMessageBox="True"
                                        ShowSummary="False" />
                                    <asp:HiddenField ID="hdf_state" runat="server" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
